/*!
 * @file        usb_user.h
 *
 * @brief       usb user function
 *
 * @version     V1.0.0
 *
 * @date        2022-05-25
 *
 * @attention
 *
 *  Copyright (C) 2021-2022 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be usefull and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */
#ifndef __USB_USER_H
#define __USB_USER_H

#include "apm32f4xx.h"

/** User callback function type define */
typedef void (*USER_CallBack_T)(void);

typedef void (*USER_DelayCallBack_T)(uint32_t );

/**
 * @brief   USB User Callback handler
 */
typedef struct
{
    USER_CallBack_T USER_DeviceReset;
    USER_CallBack_T USER_DeviceSuspend;
    USER_CallBack_T USER_DeviceResume;
    USER_DelayCallBack_T delay;
} USB_UserCallBack_T;

extern USB_UserCallBack_T g_userCallback;

#endif
